Mailboxes
Update a mailbox note
Updates the fields you name and keeps the rest. Only the note's author may. Use this endpoint to update a mailbox note through the Samva email API.
Updates the fields you name and keeps the rest. Only the note's author may.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^mbx_[0-9a-hjkmnp-tv-z]{16,24}$threadId*string
Match
^thread_[0-9a-hjkmnp-tv-z]{16,24}$noteId*string
Match
^note_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
body?string|null
color?string|null|null
pinned?boolean|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/mailboxes/string/threads/string/notes/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "author": { "kind": "user", "id": "string", "displayName": "string" }, "body": "string", "color": "string", "pinned": true, "createdAt": "string", "updatedAt": "string"}